Drivers para la deteccion de la Smart Battery

Imagen de Angelo_A
0 puntos

Holas ^^ queria ver si alguien podia ayudarme por aqui.

 La cosa es que estoy usando Ubuntu desde hace unos 6 meses en mi laptop, un modesto Packard Bell A6 Series. La cosa es que andaba muy bien usando Dapper, Edgy y Feisty, con algunos truquitos para instalar el wireless y el audio, lo tenia operativo casi en un 100% (nunca pude hacer funcionar la entrada de audio).

 Bueno, la cosa es q ahora estoy usando 7.04 Feisty Fawn y todo me andaba de maravillas con el kernel por defecto, el 2.6.20-15, pero hace un tiempo salio la version 2.6.20-16 y la baje, lo corri y funciona bien todo excepto la deteccion de la bateria, asume q esta siempre conectado a la red electrica. El problema mas q nada, es q ya he perdido trabajo por no saber cuanto le queda a la bateria.

 Entonces tengo las siguientes preguntas:

- Q parte o archivos del kernel se ocupan de detectar la Smart Battery???

- Puedo intercambiar los archivos necesarios (aunq no se cuales son) directamente y tratar de compilar el kernel a manita???

- Por lo q he investigado, algo tiene q ver con el SMBUS y el I2C Driver, pero de ahi a poder usar la funcion, ni idea.

- Deberia haber un log de los cambios en algun lado, pero no lo he encontrado.

- Hay algun metodo de comparacion entre carpetas para poder saber q archivos han cambiado. Una especie de diff, pero para carpetas??? 

 

 Mas q nada es eso, pq no quiero q por el problema de no tener soporte para la bateria ahora q tengo q estar en terreno, ya no pueda probar otros kernels ni hacerme uno propio por lo mismo.

 Saludos ^^. 

Imagen de DiZo
+1
0
-1

Pues a mi sinceramente, no me ha funcionado el soporte ni con la versión 2.6.20-15 ni con la 16, tengo el mismo problema que tu, y es que uso smart batteries en un Acer Aspire 1683, y aun así no he dado con el problema.

Como dato curioso, he de decirte que en el LiveCD/DVD funciona perfectamente el soporte, pero una vez instalada, ni puñetero caso, creo que se metieron mucha buya en sacar feisty, y este detalle se lo pasaron por alto.

Esperemos que en octubre la nueva versión, si soporte correctamente ACPI.

Saludos !

+1
0
-1